CREATE TABLE cn_tp_calc_simulation_all (
    SIMULATION_ID                 NUMBER(18, 0),
    SIMULATION_NAME               VARCHAR2(640),
    IS_LATEST_FLAG                VARCHAR2(4)  ,
    SIMULATION_TYPE               VARCHAR2(120)    NOT NULL,
    SOURCE_OBJECT_TYPE            VARCHAR2(120),
    SOURCE_OBJECT_ID              NUMBER(18, 0),
    SOURCE_OBJECT_NUMBER          VARCHAR2(120),
    OWNER_ID                      NUMBER(18, 0),
    PROCESSING_STATUS             VARCHAR2(80) ,
    PROCESSING_DATE               DATE         ,
    ASYNC_REQUEST_ID              NUMBER(18, 0),
    SIMULATION_START_PERIOD_ID    NUMBER(18, 0),
    SIMULATION_END_PERIOD_ID      NUMBER(18, 0),
    ORG_ID                        NUMBER(18, 0)    NOT NULL,
    PROCESS_AUDIT_ID              NUMBER(18, 0),
    ERROR_CODE                    VARCHAR2(120),
    CURRENT_EARNINGS_SUM_CALC     NUMBER       ,
    CURRENT_EARNINGS_SUM_HOME     NUMBER       ,
    CURRENT_EARNINGS_SUM_FUNC     NUMBER       ,
    GAIN_SUM_CALC                 NUMBER       ,
    GAIN_SUM_HOME                 NUMBER       ,
    GAIN_SUM_FUNC                 NUMBER       ,
    CALC_CURRENCY_CODE            VARCHAR2(60) ,
    HOME_CURRENCY_CODE            VARCHAR2(60) ,
    START_PAY_PERIOD_ID           NUMBER(18, 0),
    END_PAY_PERIOD_ID             NUMBER(18, 0),
    UPDATE_QUEUED                 VARCHAR2(4)  ,
    QUEUE_NUMBER                  NUMBER(9, 0) ,
    BLOCKING_REQUEST_ID           NUMBER(18, 0),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    SIMULATION_ID                 NUMBER(18, 0),
    SIMULATION_NAME               VARCHAR2(640),
    SIMULATION_TYPE               VARCHAR2(120)    NOT NULL,
    PROCESSING_STATUS             VARCHAR2(80) ,
    PROCESSING_DATE               DATE         ,
    SIMULATION_START_PERIOD_ID    NUMBER(18, 0),
    SIMULATION_END_PERIOD_ID      NUMBER(18, 0),
    ORG_ID                        NUMBER(18, 0)    NOT NULL,
    PROCESS_AUDIT_ID              NUMBER(18, 0),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    ASYNC_REQUEST_ID              NUMBER(18, 0),
    ERROR_CODE                    VARCHAR2(120),
    CURRENT_EARNINGS_SUM_CALC     NUMBER       ,
    CURRENT_EARNINGS_SUM_HOME     NUMBER       ,
    CURRENT_EARNINGS_SUM_FUNC     NUMBER       ,
    GAIN_SUM_CALC                 NUMBER       ,
    GAIN_SUM_HOME                 NUMBER       ,
    GAIN_SUM_FUNC                 NUMBER       ,
    CALC_CURRENCY_CODE            VARCHAR2(60) ,
    HOME_CURRENCY_CODE            VARCHAR2(60) ,
    START_PAY_PERIOD_ID           NUMBER(18, 0),
    END_PAY_PERIOD_ID             NUMBER(18, 0),
    IS_LATEST_FLAG                VARCHAR2(4)  ,
    SOURCE_OBJECT_TYPE            VARCHAR2(120),
    SOURCE_OBJECT_ID              NUMBER(18, 0),
    SOURCE_OBJECT_NUMBER          VARCHAR2(120),
    OWNER_ID                      NUMBER(18, 0),
    UPDATE_QUEUED                 VARCHAR2(4)  ,
    QUEUE_NUMBER                  NUMBER(9, 0) ,
    BLOCKING_REQUEST_ID           NUMBER(18, 0),
    CONSTRAINT pk_cn_tp_calc_simulation_all PRIMARY KEY (SIMULATION_ID, SIMULATION_ID)
);
